import { BaseEnemyBullet } from "./BaseEnemyBullet";
import { getTexture } from "../utils";
export class SmallBullet extends BaseEnemyBullet{
    constructor(x:number,y:number,speed:number,vector:FYGE.Point){
        super();
        this.x = x;
        this.y = y;
        this.speedX = this.speedY = speed;
        this.speedVector = vector;
    }

    addToViewPort(){
        super.addToViewPort();
        this.bodyImg.texture = getTexture("d18c860d-efd2-4748-9ff9-0be6aea358f4");
        this.bodyImg.x = -this.bodyImg.width>>1;
        this.bodyImg.y = -this.bodyImg.height>>1;
    }

    updateSelf(){
        super.updateSelf();
    }
}
